/* Module      : JaegerDraw.h
 * Author      : Robert W. Lindeman
 * Email       : gogo@wpi.edu
 * Course      : IMGD 3000
 *
 * Description : This file contains the prototypes for the drawing
 *               routines.
 *
 * Date        : 2006/02/05
 *
 * History:
 * Revision      Date          Changed By
 * --------      ----------    ----------
 * 00.01         2006/02/05    gogo
 * First release.
 *
 * (c) Copyright 2006, Worcester Polytechnic Institute.
 */

#ifndef _JAEGER_DRAW_H_
#define _JAEGER_DRAW_H_

/* -- INCLUDE FILES ------------------------------------------------------ */

/* -- DATA STRUCTURES ---------------------------------------------------- */

/* -- GLOBAL VARIABLES --------------------------------------------------- */

/* -- LOCAL VARIABLES ---------------------------------------------------- */

extern void JaegerDrawAxes( void );
extern void JaegerDraw( void );
extern void JaegerDrawInit( int argc, char *argv[] );
extern int JaegerMainLoop( void );
extern void JaegerTurnLeft90( void );
extern void JaegerTurnRight90( void );
extern void JaegerMoveForwardCell( void );
extern void JaegerMoveBackCell( void );
extern void JaegerUIShow( int what, int where, char *str );
extern void JaegerDrawGoolie( int row, int col );


/* ----------------------------------------------------------------------- */

#endif
